QT += widgets sql
#requires(qtConfig(treeview))

CONFIG += c++11 link_pkgconfig
#wPKGCONFIG += dtkwidget dtkwm

include($$PWD/gui/SARibbon/importSARibbonBarLib.pri)

INCLUDEPATH = \
    gui \
    widget \
    data \
    utils \
    gui/qtRibbonGUI \
    src/gui/forms \
    src/models

FORMS = src/gui/mainwindow.ui \
    src/gui/forms/formbaselist.ui \
    src/gui/forms/formbudget.ui \
    src/gui/forms/formbudgetlist.ui \
    widget/widgetcomboboxpopuptable.ui \
    src/gui/forms/formthird.ui \
    src/gui/forms/formproduct.ui \
    src/gui/forms/dialogcreateenterprise.ui \
    src/gui/forms/dialogopencompany.ui \
    src/gui/forms/formelementlist.ui \
    src/gui/forms/formthirdlist.ui \
    src/gui/forms/forminvoiceinlist.ui \
    src/gui/forms/formbase.ui


HEADERS = src/gui/mainwindow.h \
    src/gui/forms/formbaselist.h \
    src/gui/forms/formbudgetlist.h \
    src/models/treemodel.h \
    itemnumberdelegate.h \
    qmtreeview.h \
    itemtextdelegate.h \
    header.h \
    mapplication.h \
    src/gui/forms/formbudget.h \
    utils/fiebdc.h \
    utils/filterlineedit.h \
    utils/filtertableheader.h \
    widget/widgetcomboboxpopuptable.h \
    src/gui/forms/formthird.h \
    widget/avatarwidget.h \
    src/gui/forms/formproduct.h \
    data/sqltable.h \
    itemrichtextdelegate.h \
    src/gui/forms/dialogcreateenterprise.h \
    utils/frameless.h \
    src/gui/forms/dialogopencompany.h \
    widget/companylistitemdelegate.h \
    src/gui/forms/formelementlist.h \
    src/gui/forms/formthirdlist.h \
    widget/mlineeditbutton.h \
    itemtextpopupdelegate.h \
    widget/lineedittag.h \
    widget/treemodelcomposeelement.h \
    itemcomboboxdelegate.h \
    src/gui/widgets/qlistmodel.h \
    widget/msqlquerymodel.h \
    src/gui/forms/forminvoiceinlist.h \
    src/gui/forms/formbase.h \
    treeitem.h


RESOURCES   = editabletreemodel.qrc


SOURCES = src/gui/mainwindow.cpp \
    utils/dbutils.cpp \
    src/gui/forms/formbaselist.cpp \
    src/gui/forms/formbudgetlist.cpp \
    src/models/treemodel.cpp \
    main.cpp \
    itemnumberdelegate.cpp \
    qmtreeview.cpp \
    itemtextdelegate.cpp \
    header.cpp \
    mapplication.cpp \
    src/gui/forms/formbudget.cpp \
    utils/fiebdc.cpp \
    utils/filterlineedit.cpp \
    utils/filtertableheader.cpp \
    widget/widgetcomboboxpopuptable.cpp \
    src/gui/forms/formthird.cpp \
    widget/avatarwidget.cpp \
    src/gui/forms/formproduct.cpp \
    itemrichtextdelegate.cpp \
    src/gui/forms/dialogcreateenterprise.cpp \
    utils/frameless.cpp \
    src/gui/forms/dialogopencompany.cpp \
    widget/companylistitemdelegate.cpp \
    src/gui/forms/formelementlist.cpp \
    src/gui/forms/formthirdlist.cpp \
    widget/mlineeditbutton.cpp \
    itemtextpopupdelegate.cpp \
    widget/lineedittag.cpp \
    widget/treemodelcomposeelement.cpp \
    itemcomboboxdelegate.cpp \
    src/gui/widgets/qlistmodel.cpp \
    widget/msqlquerymodel.cpp \
    src/gui/forms/forminvoiceinlist.cpp \
    src/gui/forms/formbase.cpp \
    treeitem.cpp


# install
target.path = $$[QT_INSTALL_EXAMPLES]/widgets/itemviews/editabletreemodel
INSTALLS += target

HEADERS += utils/dbutils.h
